<?php
/*
Plugin Name: Club Theme Settings
Description: Settings for the Club Theme
Version: 1.1
Author: Michael Lindahl
Author URI: http://clubtheme.michaellindahl.com
*/

function club_plugin_installed() {
	if (file_exists(GSDATAOTHERPATH .'ClubThemeSettings.xml')) { return TRUE; } else { return FALSE; }
}

/**
 * Get Brightness
 *
 *  returns brightness value from 0 to 255
 *
 * @return int
 */
function get_brightness($hex) {
// strip off any leading #
$hex = str_replace('#', '', $hex);

$c_r = hexdec(substr($hex, 0, 2));
$c_g = hexdec(substr($hex, 2, 2));
$c_b = hexdec(substr($hex, 4, 2));

return (($c_r * 299) + ($c_g * 587) + ($c_b * 114)) / 1000;
}


/**
 * Brighten Color
 *
 *  returns brightened color
 *
 * @return #hex
 */
function brightenColor($hex, $percent) {
	if ($percent > 1) $percent = 1;
	if ($percent < -1) $percent = -1;
	// Work out if hash given
	$hash = '';
	if (stristr($hex,'#')) {
		$hex = str_replace('#','',$hex);
		$hash = '#';
	}
	/// HEX TO RGB
	$rgb = array(hexdec(substr($hex,0,2)), hexdec(substr($hex,2,2)), hexdec(substr($hex,4,2)));
	//// CALCULATE
	for ($i=0; $i<3; $i++) {
		// See if brighter or darker
		if ($percent > 0) {
			// Lighter
			$rgb[$i] = round($rgb[$i] * $percent) + round(255 * (1-$percent));
		} else {
			// Darker
			$positivePercent = $percent - ($percent*2);
			$rgb[$i] = round($rgb[$i] * $positivePercent) + round(0 * (1-$positivePercent));
		}
		// In case rounding up causes us to go to 256
		if ($rgb[$i] > 255) {
			$rgb[$i] = 255;
		}
	}
	//// RBG to Hex
	$hex = '';
	for($i=0; $i < 3; $i++) {
		// Convert the decimal digit to hex
		$hexDigit = dechex($rgb[$i]);
		// Add a leading zero if necessary
		if(strlen($hexDigit) == 1) {
		$hexDigit = "0" . $hexDigit;
		}
		// Append to the hex string
		$hex .= $hexDigit;
	}
	return $hash.$hex;
}

?>